0

After switching to fc39, emacs fails to load tramp via my use-package statement:

(straight-use-package 'use-package)
(setq straight-use-package-by-default t)
...
(use-package tramp)

The error is as follows (including build warnings):

⛔ Warning (initialization): An error occurred while loading ‘/home/rob/.emacs.d/init.el’:

Symbol's function definition is void: tramp--with-startup

To ensure normal operation, you should investigate and remove the
cause of the error in your initialization file.  Start Emacs with
the ‘--debug-init’ option to view a complete error backtrace.
⛔ Warning (comp): /home/rob/.emacs.d/straight/build/tramp/tramp-sudoedit.el: Error: Symbol's function definition is void make-tramp-file-name
⛔ Warning (comp): /home/rob/.emacs.d/straight/build/tramp/tramp.el: Error: Symbol's function definition is void make-tramp-file-name
⛔ Warning (comp): /home/rob/.emacs.d/straight/build/tramp/tramp-sshfs.el: Error: Symbol's function definition is void make-tramp-file-name

[trimmed a bunch more]

⛔ Warning (comp): /home/rob/.emacs.d/straight/build/tramp/.dir-locals.el: Error: Wrong type argument proper-list-p
⛔ Warning (comp): /home/rob/.emacs.d/straight/build/tramp/test/tramp-tests.el: Error: Symbol's function definition is void make-tramp-file-name

When I run emacs with --debug-init, it shows a backtrace:

Debugger entered--Lisp error: (void-function tramp--with-startup)
  (tramp--with-startup (add-to-list 'tramp-methods `(,tramp-adb-method (tramp-login-program ,tramp-adb-program) (tramp-login-args (("-s" "%d") ("shell"))) (tramp-direct-async t) (tramp-tmpdir "/data/local/tmp") (tramp-default-port 5555))) (add-to-list 'tramp-default-host-alist `(,tramp-adb-method nil "")) (tramp-set-completion-function tramp-adb-method '((tramp-adb-parse-device-names ""))))
  straight--activate-package-autoloads((:type git :host github :repo "emacs-straight/tramp" :files ("*" (:exclude ".git")) :package "tramp" :local-repo "tramp"))
  #f(compiled-function () #<bytecode 0x12c70fbf29c936da>)()
  straight--transaction-exec(use-package-\"cb4d6d9f3d2ff3fe32638a8f6530f986\"-nil-nil :now #f(compiled-function () #<bytecode 0x12c70fbf29c936da>))
  straight-use-package(tramp)
  load-with-code-conversion("/home/rob/.emacs.d/init.el" "/home/rob/.emacs.d/init.el" t t)
  load("/home/rob/.emacs.d/init" noerror nomessage)
  startup--load-user-init-file(#f(compiled-function () #<bytecode -0x2fc7bacaf404b8>) #f(compiled-function () #<bytecode -0x1f3c61addc0b39f5>) t)
  command-line()
  normal-top-level()

I updated tramp by means of a straight-pull-package, but it doesn't change anything. Does anyone have an idea what might be wrong in my setup?

1 Answer 1

4

Emacs 29.1 has an error when installing Tramp from GNU ELPA. See its home page for a mitigation recipe.

1
  • Ah, thanks for pointing that out. I tried to mess with the suggested solution, but I'm far from elisp-literate and couldn't get it to work. From what I found in a related devel thread, it should be fixed in 29.2, so I'll just wait for that :)
    – Rob Kramer
    Dec 13, 2023 at 2:53

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.